package com.oo.eye.mvp.contract;

import android.content.Context;

import com.app.baselibrary.base.mvp.BasePresenter;
import com.app.baselibrary.base.mvp.BaseView;


/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeTestContract {
	interface View extends BaseView<Presenter> {
		public void postEyeTestDataSuccee();
		public void postEyeTestDataFail(String msg);
	}

	interface Presenter extends BasePresenter {
		public void postEyeTestData(Context context, String sn, double leftEye, double rightEye,
									int leftLine, int rightLine);
	}
}
